### Method

# Fwupd Client get_host_machine_id

since: 1.3.2

#### Declaration [src]

    const gchar*
    fwupd_client_get_host_machine_id (
      FwupdClient* self
    )

#### Description [src]

Gets the string that represents the host machine ID.

Available since: 1.3.2

Gets property | `Fwupd.Client:host-machine-id`

#### Return value

Type: `const gchar*`

A string, or `NULL` for unknown.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.